# MAK

Use MAK endpoints to retrieve information on addresses such as record counts, details, and other relevant data.

## Get total record count of addresses

 - [POST /MAK/doCount](https://developer.melissa.com/apis/data-retriever/mak/docountmak.md): This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

## Get a paginated result view of addresses

 - [POST /MAK/doLookup](https://developer.melissa.com/apis/data-retriever/mak/dolookupmak.md): This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

## Get record count and sample of addresses

 - [POST /MAK/getCount](https://developer.melissa.com/apis/data-retriever/mak/getcountmak.md): This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

